> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get thread transcript

> Returns a plain-text transcript of a given thread.

The transcript includes messages, rich messages, files, and pre-chat and post-chat forms.

**Required scopes:** `chats--all:ro` (To get the transcript of a thread from any group.) or `chats--access:ro` (To get the transcript of a thread from a group that the requester (related to the token) is a member of.)


## OpenAPI

````yaml /api/agent-chat/v3.6/openapi.json post /action/get_thread_transcript
openapi: 3.0.0
info:
  title: Agent Chat API
  description: >-
    The Agent Chat API allows you to manage chats, threads, events, and agent
    state.
  version: '3.6'
servers:
  - url: https://api.livechatinc.com/v3.6/agent
    description: Production server
security: []
paths:
  /action/get_thread_transcript:
    post:
      tags:
        - Chats
      summary: Get thread transcript
      description: >-
        Returns a plain-text transcript of a given thread.


        The transcript includes messages, rich messages, files, and pre-chat and
        post-chat forms.
      operationId: get-thread-transcript
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetThreadTranscriptRequest'
            example:
              chat_id: PJ0MRSHTDG
              thread_id: K600PKZON8
      responses:
        '200':
          description: Thread transcript.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetThreadTranscriptResponse'
              example:
                chat_id: PJ0MRSHTDG
                thread_id: K600PKZON8
                transcript: |-
                  Conversation transcript:
                  ----------
                  John (Tue, 12/17/2019, 08:53:20 am UTC)
                  Hello

                  Agent Smith (Tue, 12/17/2019, 08:53:40 am)
                  Hi! How can I help you?
      security:
        - PersonalAccessToken: []
        - OAuth2BearerToken:
            - chats--all:ro
        - OAuth2BearerToken:
            - chats--access:ro
components:
  schemas:
    GetThreadTranscriptRequest:
      type: object
      required:
        - chat_id
        - thread_id
      properties:
        chat_id:
          type: string
          description: The chat ID.
        thread_id:
          type: string
          description: The thread ID.
    GetThreadTranscriptResponse:
      type: object
      properties:
        chat_id:
          type: string
          description: The chat ID.
        thread_id:
          type: string
          description: The thread ID.
        transcript:
          type: string
          description: The plain-text thread transcript.
  securitySchemes:
    PersonalAccessToken:
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
      type: http
      scheme: basic
    OAuth2BearerToken:
      description: >-
        This API uses OAuth2 with the implicit grant flow. <a
        href="/authentication/oauth-authorization/implicit-grant">Learn about
        the implicit grant flow.</a>
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://accounts.livechat.com
          scopes:
            chats--all:ro: Read all chats
            chats--all:rw: Read and write all chats
            chats--access:ro: Read chats from groups the agent is a member of
            chats--access:rw: Read and write chats from groups the agent is a member of
        authorizationCode:
          authorizationUrl: https://accounts.livechat.com
          tokenUrl: https://accounts.livechat.com/token
          scopes:
            chats--all:ro: Read all chats
            chats--all:rw: Read and write all chats
            chats--access:ro: Read chats from groups the agent is a member of
            chats--access:rw: Read and write chats from groups the agent is a member of

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.